# $Revision: 1.34 $, $Date: 2004/05/06 18:01:28 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	DelimMatch
Summary:	DelimMatch - find regexp delimited strings with proper nesting
Summary(pl):	DelimMatch - poszukiwanie acuchw ograniczonych wyraeniami regularnymi
Name:		perl-DelimMatch
Version:	1.06a
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	8efb70c2326d0b8f551708e9cdc2b649
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DelimMatch is a Perl extension to find regexp delimited strings with
proper nesting.

%description -l pl
DelimMatch jest rozszerzeniem Perla do wyszukiwania acuchw
ograniczonych wyraeniami regularnymi z waciwym zagniedeniem.

%prep
%setup -q -n DelimMatch-1.06

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Text/DelimMatch.pm
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/Text/DelimMatch
#%%{perl_vendorlib}/auto/Text/DelimMatch/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DelimMatch.spec,v $
Revision 1.34  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.32  2004/04/20 11:37:17  ankry
- summary/description/license fixes

Revision 1.31  2004/04/20 10:14:36  ankry
- new bconds

Revision 1.30  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.29  2003/09/09 10:24:33  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:41  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/06/11 22:51:14  misi3k
- updated to 1.06a

Revision 1.26  2003/05/28 13:00:33  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 18:05:27  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.21  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:31:23  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/10/05 13:05:19  ankry
- (auto)updated to 1.05 (new methods, documentation changes)
- fixed license

Revision 1.18  2002/09/19 12:13:03  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 9

Revision 1.17  2002/07/27 21:31:55  ankry
- translations, cleaning
- pl description
- new %%doc
- added autosplit.ix
- release 8

Revision 1.16  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 06:01:33  kloczek
- release 7.

Revision 1.14  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/10 15:25:32  depesz
adapterized

Revision 1.12  2002/01/18 02:14:15  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:07:50  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2000/12/31 00:12:52  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
